Comodo Firewall for Windows XP

Is there a version of Comodo Firewall available for Windows XP?

The most recent version works fine on Xp. Currently 5.5.195786.1383

Available here-> https://forums.comodo.com/news-announcements-feedback-cis/comodo-internet-security-551957861383-released-t74019.0.html

Matty

Thank you. I was confused by the cnet page that says
that CIS is only for Windows Vista and 7:

:slight_smile:

I can see why :wink: It works fine on Xp, any problems just post in the forum, there are a lot of helpful people willing to assist you if needed.

Good luck,
Matty

CIS does require SP2 or higher though. So if you’re still running SP1 on your XP installation, you’ll need to upgrade to at least SP2.